Skip to main content



NetBeans Phobos Tools support. (latest update: May 3rd 2007)

The Phobos NetBeans plugins allow developers to develop Phobos Applications with the NetBeans 5.5 or above IDE.

You need to have the NetBeans IDE installed. The Phobos plugins for NetBeans contain all you need including an embedded Phobos Runtime.

You need to download the NetBeans Ajax Update center module as a NBM file and intall it in NetBeans. Once installed, you'll have access to the latest Phobos NetBeans module builds (and other Ajax related technology like jMaki) from the NetBeans IDE. This is what you can see when this new Update center is installed: Select the "Ajax Update Center" to see all the modules available there:

a


a


Select the "Phobos modules (NB 5.5.x)" module which is an umbrella module including all the dependencies to what you need, including the jMaki module, the JavaScript editor (necessary for Javascript debugging):
(note: for NetBeans 6.0 users, you need to pcik and choose the modules listed under the "Libraries" section: pick all of them except the JavaScript Editor and the "Phobos ehs mime type (NB 55)". These 2 modules are for Netbeans 5.5.x, and have corresponding modules in the regular NetBeans 6.0 update center)

a


Wait for the downloads to be completed. Check all the "Include" boxes to add the modules:

b



After installation, you can restart the IDE and the modules will be completely available.

s

Watch the first screencast (no audio) to learn more...

 
 
Close
loading
Please Confirm
Close